// 系统监听模块
// 杭州秒寻科技有限公司
// 周涛
// 2024-9-29
#ifndef __MONITOR_H__
#define __MONITOR_H__

#include "sysdef.h"

// 模块管理参数
typedef struct
{
    uint8 byTimerID;                // 定时器ID编号
    uint8 byUdpHeartCounter;        // 心跳计数器，每3分钟上报一次心跳
    uint8 byUdpReportFlag;          // UDP上报标识符，0：未上报，1：上报中，在状态为0的时候才可以上报
    uint8 byUdpReportExpireCounter; // UDP上报超时次数
} MONITOR_PARAM_T;

// 外部使用接口
void monitor_init();

// 内部使用接口
void monitor_timer_one_minute_expire();
void monitor_report_udp_heart();
void monitor_report_udp_heart_reset();

#endif
